/*
* This code is released under the GNU General Public License.  See COPYING for 
* details.  Copyright 2003 John Spray: spray_john@users.sourceforge.net
*/


#ifndef MISSILE_H
#define MISSILE_H

#include "Game.h"
#include "Vector.h"
#include "Player.h"


class Missile {
public: 
	Missile();
	~Missile();
	Game* game;	
	void Physics();
	void Collide();
	void Explode();
	Vector s,v,a;
	float res;
	Player* owner;
	int collided;
};

#endif

